%define	emacsver	21.3
%define	e_sitedir	/usr/share/emacs/site-lisp
%define	xe_sitedir	/usr/lib/xemacs/site-lisp
%define	sitepdir	/usr/lib/xemacs/site-packages

Summary: tamago
Name: elisp-tamago
Version: 4.0.6
Release: 11m
License: GPL
Group: Applications/Editors
Source0: ftp://ftp.m17n.org/pub/tamago/tamago-%{version}.tar.gz
NoSource: 0
Patch0: tamago-%{version}-cvs-20011110.patch
URL: http://www.m17n.org/tamago/
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs >= %{emacsver}
Obsoletes: egg
Provides: egg

%package -n tamago-emacs
Group: Applications/Editors
Summary: tamago
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}

%description
"Takusan matasete gomen-nasai"

%description -n tamago-emacs
"Takusan matasete gomen-nasai"

%prep
%setup -q -n tamago-%{version}
%patch0 -p1

rm -rf %{buildroot}

%build
./configure --prefix=%{_prefix}
make EMACS=emacs \
	PREFIX=%{_prefix} \
	lispdir=%{e_sitedir}

%install
mkdir -p %{buildroot}%{e_sitedir}/egg
make EMACS=emacs \
	PREFIX=%{buildroot}%{_prefix} \
	lispdir=%{buildroot}%{e_sitedir} \
	install

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog ChangeLog.0 PROBLEMS README.ja.txt TODO
%doc doc

%files -n tamago-emacs
%defattr(-, root, root)
%{_datadir}/emacs/site-lisp/egg

%changelog
* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.6-11m)
- rebuild against emacs-21.3
- use rpm macro

* Sat Nov 10 2001 Toshiro HIKITA <toshi@sodan.org>
- (elisp-tamago-4.0.6-10k)
- add cvs-20011110.patch

* Fri Nov  9 2001 Hidetomo Machi <mcHT@kondara.org>
- (elisp-tamago-4.0.6-8k)
- new package

* Mon Oct 23 2000 Hidetomo Machi <mcHT@kondara.org>
- (4.0.6-5k)
- new patch
- modify specfile (License)
- add URL tag

* Sat Jun 10 2000 Hidetomo Machi <mcHT@kondara.org>
- add patch

* Fri Mar 10 2000 Hidetomo Machi <mcHT@kondara.org>
- add %dir
